
ChiliProject - Bug # 778: Textile Caching breaks Liquid

Status: Closed Priority: High
Author: Holger Just Category: Text formatting
Created: 2011-12-19 Assignee: Holger Just
Updated: 2012-01-16 Due date:
Remote issue URL:
Affected version: 3.0.0
Description: As markup caching is currently done only for textile, later stages of the Liquid rendering aren't properly for 

cached pages. This manifests itself with HTML-generating tags not returning their actual output but the 
intermediate tag used internally.

Th intermediate solution is probably to disable textile caching. But I still need to investigate that further.

Associated revisions
2008-03-05 12:14 pm - Jean-Philippe Lang 
Display wiki syntax quick ref link within the jstoolbar (closes #629, #767).
Added named links syntax on quick ref (closes #766, #778).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1190 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-01-16 05:08 pm - Holger Just 
[#778] Properly cache Liquid markup

This commit moves the markup caching into Liquid rendering. As
Liquid allows to return different results depending on the environment
(variables, logged user, ...) we only cache the page if it contains
no active content.

Unfortunetely, active content currently also includes the TOC
in wiki pages.

History
2012-01-16 04:15 pm - Holger Just
- Status changed from Open to Closed

Fixed in commit:e91a1e0

This commit moves the markup caching into Liquid rendering. As Liquid allows to return different results depending on the environment (variables, 
logged user, ...) we only cache the page if it contains no active content.
    
Unfortunately, active content currently also includes the TOC in wiki pages which probably means that most long pages won't be cached anymore at 
all.
